## org.h2.samples
Class Compact

    java.lang.Object
      org.h2.samples.Compact

    public class Compact

extends java.lang.Object

This sample application shows how to compact the database files. This is done by creating a SQL script, and then re-creating the database using this script.

Constructor Summary
`Compact()`

Method Summary
`static void` `compact(java.lang.String dir, java.lang.String dbName, java.lang.String user, java.lang.String password)` Utility method to compact a database.
`static void` `main(java.lang.String... args)` This method is called when executing this sample application from the command line.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Compact

    public Compact()

Method Detail

### main

    public static void main(java.lang.String... args)
                     throws java.lang.Exception

  This method is called when executing this sample application from the command line.

  Parameters:
    `args` - the command line parameters
  Throws:
    `java.lang.Exception`

### compact

    public static void compact(java.lang.String dir,
                               java.lang.String dbName,
                               java.lang.String user,
                               java.lang.String password)
                        throws java.sql.SQLException

  Utility method to compact a database.

  Parameters:
    `dir` - the directory
    `dbName` - the database name
    `user` - the user name
    `password` - the password
  Throws:
    `java.sql.SQLException`